members.dev
Payments

Get Payment Checkout Session

Returns a Payment Checkout Session by ID

GET
/v1/payments/sessions/{session_id}

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

session_id*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.members.dev/portal/v1/payments/sessions/string"
{
  "id": "string",
  "tenant_id": "string",
  "organization_id": "string",
  "member_id": "string",
  "kind": "payment",
  "status": "open",
  "stripe_mode": "payment",
  "client_secret": "string",
  "expires_at": {},
  "resource_id": "string",
  "target_ids": [
    "string"
  ],
  "checkout_amount": 0,
  "checkout_currency": "string",
  "failure_code": "string",
  "failure_message": "string",
  "created_at": null,
  "updated_at": null
}
{
  "type": "https://api.members.dev/errors/invalid_credentials",
  "title": "Invalid credentials",
  "status": 401,
  "detail": "Invalid API Key or token.",
  "code": "invalid_credentials"
}
{
  "type": "https://api.members.dev/errors/not_linked_to_tenant",
  "title": "Not linked to tenant",
  "status": 403,
  "detail": "Not linked to this tenant",
  "code": "not_linked_to_tenant"
}
{
  "type": "https://api.members.dev/errors/member_not_found",
  "title": "Member not found",
  "status": 404,
  "detail": "No member exists with the given id in this organization.",
  "code": "member_not_found"
}
{
  "type": "https://api.members.dev/errors/members_context_required",
  "title": "Members context required",
  "status": 422,
  "detail": "This client has multiple organizations. Send the Members-Context header with the organization id (org_…) for this request.",
  "code": "members_context_required"
}
{
  "type": "https://api.members.dev/errors/rate_limit_exceeded",
  "title": "Rate limit exceeded",
  "status": 429,
  "detail": "Rate limit exceeded",
  "code": "rate_limit_exceeded"
}